<?php
// -----------------------------------------------------------
// GChat Video Chat - http://www.gchat.com/video-chat.html
// Copyright (C) 2013 GChat Limited. All rights reserved.
// GChat Video Chat is not a free software, see LICENSE file
// -----------------------------------------------------------

// check if GChat Video Chat is installed
if ( ! is_file ( "config.php") )
{
	header ("Location: install/install.php");
	exit(0);
}

if ( filesize("config.php") == 0 )
{
	header ("Location: install/install.php");
	exit(0);
}

include_once("scripts/library/init.php");

// If not under development mode, force installation files to be removed.
if( is_dir("install") && !DEV_MODE)
{
	die("For security reasons please remove the install folder and refresh this page.");
}
	
// Initializing
session_start();
$setting	= Factory::getClass("Setting");
$gchat		= Factory::getClass("Gchat");
$integration = Factory::getClass("Integration");

// Auto login
$username = $integration->getUsername();
$password = $integration->getPassword();

// Variables
$room 		= get("room");		// Default room id number ( override settings )
$language 	= get("ln");		// Default language ( override settings )
$referral 	= get("refid");		// Referral user id
$width 		= "100%";			// Visichat width
$height 	= "100%";			// Visichat height
$bgcolor 	= "#FFFFFF";		// Default background color
$override 	= "";				// Override existing settings

if ( $setting->get("styles_bg_color") != "" )
{
	$bgcolor = $setting->get("styles_bg_color");
}

?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php echo $setting->get("website_title");?></title>
<link rel="stylesheet" href="images/style.css" type="text/css" />
<script src="scripts/js/visichat.js" language="javascript"></script>
<script src="scripts/js/swfobject.js" language="javascript"></script>
</head>
<body style="background-color:<?php echo $bgcolor; ?>">
<?php 
  // Check if Visichat is embedded into an iframe
  if ($setting->get("enable_iframe") == "no" ) 
  { 
    echo '<script type="text/javascript">if (top.location.href != self.location.href) top.location.href = self.location.href;</script>';
  } 

  // Embed Visichat
  $gchat->embed( $width, $height, $bgcolor, $username, $password, $override, $language, $room, $referral );
?>
</body>
</html>
